.box,
opi-box,
[opi-box] {
  height: inherit;
}

[inherit] {
  min-height: inherit;
}

.content {
  min-height: auto;
}

.box {
  border-radius: 0 !important;
  /*padding-bottom: 20px;
      margin-bottom: 0;*/
}

.form-control,
output {
  color: #000;
}

/*
.sidebar-menu .treeview-menu > li > a {
  padding: 5px 5px 5px 35px;
  display: block;
  font-size: 12px;
}

.sidebar-collapse .sidebar-menu .treeview-menu > li > a {
  padding: 5px 5px 5px 15px;
} */

.overflow-y-auto {
  overflow-y: auto;
  display: block;
}

header > .box-tools,
.header > .box-tools,
#header > .box-tools,
[header] > .box-tools {
  position: absolute;
  right: 10px;
  top: 5px;
}

.input-inner,
.input-left-inner {
  position: relative;
}

.input-inner > i {
  position: absolute;
  bottom: 10px;
  right: 10px;
  top: auto;
  cursor: pointer;
}

.input-left-inner > i {
  position: absolute;
  bottom: 10px;
  left: 10px;
  top: auto;
  cursor: pointer;
  color: #d2d6de;
}

.input-left-inner > input {
  padding-left: 28px !important;
  border-radius: 4px !important;
}

.clearfix:after {
  content: ' ';
  display: block;
  height: 0;
  clear: both;
}

.btn-none {
  padding: 5px;
  font-size: 12px;
  background: transparent;
  box-shadow: none;
}

.wrap-padding-bottom-1 {
  padding-bottom: 1em;
}

.wrap-padding-bottom-1 > i {
  bottom: 24px;
}

.wrap-margin-left-2 {
  margin-left: 2em !important;
}

.wrap-padding-left-2 {
  padding-left: 2em;
}

@media (max-width: 992px) {
  .flex-md .wrap-padding-left-2 {
    padding-left: 0;
  }

  .flex-md .wrap-margin-left-2 {
    margin-left: 0;
  }
}

.margin-bottom-1 {
  margin-bottom: 1em;
}

.margin-top-button-1 {
  margin: 1em 0;
}

.small-text {
  color: #d2d6de;
  padding-left: 0.2em;
}

.max {
  width: 100%;
  height: 100%;
}

.text-ellipsis {
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  word-break: keep-all;
}

.opi-form .list-group {
  margin-bottom: 0 !important;
  padding-left: 0;
}

/***************gap************/

.opi-gap .gap {
  margin: 0 2px;
}

.opi-gap .padding-left-6-px {
  padding-left: 6px;
}

.opi-gap .opi-search-right {
  margin-right: 8px;
}

.opi-gap.opi-tool-box {
  padding-bottom: 8px;
}

.opi-top-gap.opi-tool-box {
  padding-bottom: 8px;
}

.mouse-hand {
  cursor: pointer;
}

.daterangepicker .well,
.daterangepicker .btn-default {
  background-color: #fff;
}

.daterangepicker .btn-info.active,
.btn-info:active,
.btn-info:hover,
.open > .dropdown-toggle.btn-info {
  color: #fff;
  background-color: #31b0d5;
  border-color: #269abc;
}

.blue {
  color: #0000ff;
}

.min-width {
  min-width: 360px;
  overflow: auto;
}

.box::-webkit-scrollbar {
  width: 0.4em;
  height: 0.4em;
}

/*.box ::-webkit-scrollbar-thumb {
      background: rgba(0, 0, 0, 0.35);
      cursor: pointer;
  }

  .box ::-webkit-scrollbar-track {
      background: rgba(0, 0, 0, 0.1);
  }*/

.box body {
  scrollbar-face-color: rgba(0, 0, 0, 0.6);
  scrollbar-track-color: rgba(255, 255, 255, 0.7);
}

/* ::-webkit-scrollbar {
  width: 0.5em;
  height: 0.5em;
}

::-webkit-scrollbar-thumb {
  background: #d9d9d9;
  cursor: pointer;
}

::-webkit-scrollbar-track {
  background: rgba(255, 255, 255, 0.7);
  background: transparent;
} */

.margin-right-5 {
  margin-right: 5px;
}

ul::-webkit-scrollbar,
.ux-scrollbar::-webkit-scrollbar {
  width: 0.5em;
}

ul::-webkit-scrollbar-track,
.ux-scrollbar::-webkit-scrollbar-track {
  box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

ul::-webkit-scrollbar-thumb,
.ux-scrollbar::-webkit-scrollbar-thumb {
  background-color: darkgrey;
  outline: 1px solid slategrey;
}

ul.overflow::-webkit-scrollbar,
.ux-scrollbar.overflow::-webkit-scrollbar {
  width: 0.2em;
}

ul::-webkit-scrollbar,
.ux-scrollbar::-webkit-scrollbar {
  width: 0.4em;
}

/* ul::-webkit-scrollbar-thumb {
  background-color: #292929;
} */

/* .form-group-lg .form-control,
  .input-lg {
    border-radius: 6px;
    padding: 8px 16px;
    font-size: 18px;
  } */
